import bb.cascades 1.0

Sheet {
    
    property alias logText: textArea.text
    
    id: sheet
    Page {
        actionBarVisibility: ChromeVisibility.Visible
        titleBar: 
        TitleBar {
        	dismissAction: ActionItem {
        	    title: "Close"
        	    onTriggered: {
                	sheet.close(); 
                }        	    
        	}
        }
        Container {
            TextArea {
                id: textArea
                hintText: "Empty"
            }
        }
        actions: [
            ActionItem {
                title: qsTr("Email")
                ActionBar.placement: ActionBarPlacement.OnBar
                onTriggered: {
                    emailInvocation.query.uri = "mailto:ysalnikov.bbappworld@gmail.com?subject=Debug log&body=" + textArea.text
                    emailInvocation.query.updateQuery();
                }
            }            
        ]
        attachedObjects: [
            Invocation {
                id: emailInvocation
                query.mimeType: "text/plain"
                query.invokeTargetId: "sys.pim.uib.email.hybridcomposer"
                query.invokeActionId: "bb.action.SENDEMAIL"
                onArmed: {
                    emailInvocation.trigger(emailInvocation.query.invokeActionId);
                }
            }
        ]
    }
}