import bb.cascades 1.0
//import com.ysal.ocrscan 1.0

Sheet {
    id: sheet
    content: Page {
        actionBarVisibility: ChromeVisibility.Hidden
        titleBar: TitleBar {
            kind: TitleBarKind.Default
            dismissAction: closeSheet
        }
        objectName: "invokeTargets"
        Container {

            topPadding: 50
            leftPadding: 50
            rightPadding: 50
            bottomPadding: 50

            ListView {
                horizontalAlignment: HorizontalAlignment.Fill
                rootIndexPath: [ 0 ]

                dataModel: app.invokeTargetModel

                listItemComponents: ListItemComponent {
                    type: "item"
                    StandardListItem {
                        imageSpaceReserved: true
                        title: ListItemData.label
                        imageSource: ListItemData.imageSource
                    }
                }

                onTriggered: {
                    //app.invokeTarget(dataModel.data(indexPath).name)
                    app.invokeTarget(dataModel.data(indexPath).name, dataModel.data(indexPath).textToShare, dataModel.data(indexPath).fileToShare);
                }
            }
        }
        actions: [
            ActionItem {
                id: closeSheet
                title: qsTr("Cancel")
                onTriggered: {
                    sheet.close();
                }
            }
        ]
    }
}