import bb.cascades 1.0

Page {
    titleBar: TitleBar {
        title: qsTr("Last scanned text")
    }
    Container {
        TextArea {
            id: scannedText
            objectName: "scannedText"
            editable: true
        }
        ScrollView {
            objectName: "scannedTextContainer"
            Label {
                objectName: "scannedTextRO"
                multiline: true
            }
            scrollViewProperties {
                scrollMode: ScrollMode.Vertical
            }
        }
    }
    actions: [
        ActionItem {
            title: qsTr("Reject")
            imageSource: "asset:///images/reject.png"
            ActionBar.placement: ActionBarPlacement.OnBar
            onTriggered: {
                app.rejectText();
                //Application.mainWindow.screenIdleMode = 1
            }
        },
        ActionItem {
            title: qsTr("Accept")
            imageSource: "asset:///images/accept.png"
            ActionBar.placement: ActionBarPlacement.OnBar
            onTriggered: {
                app.acceptText();
                //Application.mainWindow.screenIdleMode = 1
            }
        }
    ]
}
